#-------------------------------------------------
#
# Project created by QtCreator 2017-04-19T09:20:32
#
#-------------------------------------------------

QT       += widgets sql

TARGET = camp
TEMPLATE = lib

DEFINES += CAMP_LIBRARY

# The following define makes your compiler emit warnings if you use
# any feature of Qt which as been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += camp.cpp \
    data/campdata.cpp \
    data/addressitem.cpp \
    data/serviceitem.cpp \
    campgrid.cpp \
    campform.cpp \
    data/sale.cpp \
    settings/campsettingsform.cpp \
    data/personprice.cpp \
    settings/campsettings.cpp \
    campwizard.cpp \
    campservice.cpp \
    addservicedialog.cpp \
    campshopitem.cpp \
    campseller.cpp \
    detailwidget.cpp

HEADERS += camp.h\
        camp_global.h \
    data/campdata.h \
    data/addressitem.h \
    data/serviceitem.h \
    data/camp-data.h \
    campgrid.h \
    campform.h \
    data/sale.h \
    settings/campsettingsform.h \
    data/personprice.h \
    settings/campsettings.h \
    campwizard.h \
    campservice.h \
    addservicedialog.h \
    campshopitem.h \
    campseller.h \
    detailwidget.h

include(../config_plugin.pri)

ODB_FILES = camp/data/camp-data.h
H_DIR = $$PWD/data/*.h
ODB_OTHER_INCLUDES = -I $$PWD/../shop -I $$PWD/../addressbook/data -I $$PWD/../countryregister/data -I $$PWD/../services/data
include(../odb.pri)

win32:CONFIG(release, debug|release): LIBS += -L$$OUT_PWD/../plugins/ -lshop
else:win32:CONFIG(debug, debug|release): LIBS += -L$$OUT_PWD/../plugins/ -lshop
else:unix: LIBS += -L$$OUT_PWD/../plugins/ -lshop

INCLUDEPATH += $$PWD/../shop
DEPENDPATH += $$PWD/../shop

win32:CONFIG(release, debug|release): LIBS += -L$$OUT_PWD/../plugins/ -laddressbook
else:win32:CONFIG(debug, debug|release): LIBS += -L$$OUT_PWD/../plugins/ -laddressbook
else:unix: LIBS += -L$$OUT_PWD/../plugins/ -laddressbook

INCLUDEPATH += $$PWD/../addressbook
INCLUDEPATH += $$PWD/../addressbook/data
DEPENDPATH += $$PWD/../addressbook

win32:CONFIG(release, debug|release): LIBS += -L$$OUT_PWD/../plugins/ -lcountryregister
else:win32:CONFIG(debug, debug|release): LIBS += -L$$OUT_PWD/../plugins/ -lcountryregister

INCLUDEPATH += $$PWD/../countryregister/data
INCLUDEPATH += $$PWD/../countryregister

win32:CONFIG(release, debug|release): LIBS += -L$$OUT_PWD/../plugins/ -lservices
else:win32:CONFIG(debug, debug|release): LIBS += -L$$OUT_PWD/../plugins/ -lservices
else:unix: LIBS += -L$$OUT_PWD/../plugins/ -lservices

INCLUDEPATH += $$PWD/../services
INCLUDEPATH += $$PWD/../services/data
DEPENDPATH += $$PWD/../services

TRANSLATIONS = translations/camp_cs_CZ.ts

DISTFILES += \
    camp.json

RESOURCES += \
    camprc.qrc

FORMS += \
    campform.ui \
    settings/campsettingsform.ui \
    campwizard.ui \
    addservicedialog.ui \
    detailwidget.ui
